Explode = class:new()

function Explode:init(newX,newY,particles)
	
	self.particles = {}
	
	local nx = newX
	local ny = newY
	
	local count = 1
	
	self.timer = 0
	
	for i = 1, particles do
	
		table.insert(self.particles,{
			position = { 
				x = nx,
				y = ny
			},
			velocity = {
				x = math.random(-300,300),
				y = -math.random(0,2000),
			},
		})
		
		count = count + 1
	
	end

end

function Explode:update(dt)

	self.timer = self.timer + dt

	for i = 1, #self.particles do
	
		self.particles[i].position.y = self.particles[i].position.y + self.particles[i].velocity.y * dt
		self.particles[i].position.x = self.particles[i].position.x + self.particles[i].velocity.x * dt
		
		self.particles[i].velocity.y = self.particles[i].velocity.y + 500 * dt
	
	end

end

function Explode:draw()

	for i = 1, #self.particles do
	
		love.graphics.setColor(math.random(255),math.random(255),math.random(255))
		love.graphics.rectangle('fill',self.particles[i].position.x,self.particles[i].position.y,3,3)
	
	end

end