Back = class:new()

function Back:init()

	self.sky = {}
	
	self.clouds = {}
	
	for i = 1, 100 do
			
		table.insert(self.sky, {math.random(800),math.random(450),math.random(5)})
	
	end
	
	for i = 1, 3 do
	
		table.insert(self.clouds,{math.random(2000),math.random(100),math.random(3),{math.random(255),math.random(255),math.random(255),50}})
	
	end

end

function Back:update(dt)

	for i = 1, #self.sky do
	
		self.sky[i][1] = self.sky[i][1] - 15 * dt
		
		if self.sky[i][1] < -8 then
		
			self.sky[i][1] = math.random(800,1000)
			self.sky[i][2] = math.random(450)
			self.sky[i][3] = math.random(5)
		
		end
	
	end
	
	for i = 1, #self.clouds do
	
		self.clouds[i][1] = self.clouds[i][1] - 30 * dt
		
		if self.clouds[i][1] < -500 then
		
			self.clouds[i][1] = math.random(800,2000)
			self.clouds[i][2] = math.random(300)
			self.clouds[i][3] = math.random(4)
			self.clouds[i][4] = {math.random(255),math.random(255),math.random(255),50}
		
		end
		
	end

end

function Back:draw()

	for i = 1, #self.sky do
		
		love.graphics.setColor(math.random(255),math.random(255),math.random(255))
		love.graphics.rectangle('fill',self.sky[i][1],self.sky[i][2],self.sky[i][3],self.sky[i][3])
	
	end
	
	for i = 1, #self.clouds do
		
		love.graphics.setColor(self.clouds[i][4])
		
		if self.clouds[i][3] == 1 then
			love.graphics.rectangle('fill',self.clouds[i][1],self.clouds[i][2],200,30)
			love.graphics.rectangle('fill',self.clouds[i][1]+50,self.clouds[i][2]-20,200,50)
		elseif self.clouds[i][3] == 2 then
			love.graphics.rectangle('fill',self.clouds[i][1],self.clouds[i][2],200,50)
			love.graphics.rectangle('fill',self.clouds[i][1]+100,self.clouds[i][2]+20,100,50)
		elseif self.clouds[i][3] == 3 then
			love.graphics.rectangle('fill',self.clouds[i][1],self.clouds[i][2],75,50)
			love.graphics.rectangle('fill',self.clouds[i][1]+20,self.clouds[i][2]-20,200,50)
		end
	end

end