Helicopter = class:new()

function Helicopter:init()

	self.position = {
		x = math.random(800,1800),
		y = math.random(350),
	}
	
	self.size = {
		w = 50,
		h = 10,
	}
	
	self.color = {math.random(255),math.random(255),math.random(255)}

end

function Helicopter:update(dt)

	self.position.x = self.position.x - 200 * dt
	
	if self.position.x < -100 then
	
		self.position.x = math.random(800,1800)
		self.position.y = math.random(350)
		self.color = {math.random(255),math.random(255),math.random(255)}
	
	end

end

function Helicopter:draw()

	love.graphics.setColor(self.color)
	love.graphics.rectangle('fill',self.position.x,self.position.y,self.size.w,self.size.h)
	love.graphics.rectangle('fill',self.position.x+40,self.position.y-5,10,5)
	
end