function love.load()

	require 'lib/Class'
	require 'lib/Audio'
	require 'Trail'
	require 'Map'
	
	love.mouse.setVisible(false)
	
	icon = love.graphics.newImage("res/icon.png")
	love.graphics.setIcon(icon)
	
	font = love.graphics.newFont("res/font.ttf",48)
	love.graphics.setFont(font)
	
	dotm = love.audio.newSource("res/dotm.xm")
	explodeSound = love.audio.newSource("res/explode.ogg")
	squishSound = love.audio.newSource("res/squish.ogg")
	planeExplode = love.audio.newSource("res/planeExplode.ogg")
	planeHit = love.audio.newSource("res/planeHit.ogg")
	
	dotmPlay = false
	
	map = Map:new()

end

function love.update(dt)

	if dotmPlay == false then
	
		local instance = dotm:play()
		dotmPlay = true
	
	end
	
	map:update(dt)

end

function love.draw()

	map:draw()

end

function love.mousepressed(x,y,button)

	map:mousepressed(button)

end

function love.keyreleased(key)

	if key == "escape" then
	
		love.event.quit()
	
	end

end
